org.apache.ignite.internal.binary

## Interface BinaryPositionReadable

All Known Subinterfaces:
  BinaryInputStream, PlatformInputStream

All Known Implementing Classes:
  BinaryAbstractInputStream, BinaryBuilderReader, BinaryByteBufferInputStream, BinaryHeapInputStream, BinaryOffheapInputStream, PlatformBigEndianInputStreamImpl, PlatformInputStreamImpl

    public interface BinaryPositionReadable

Interface allowing for positioned read.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte` `readBytePositioned(int pos)` Read byte at the given position.
`int` `readIntPositioned(int pos)` Read integer at the given position.
`short` `readShortPositioned(int pos)` Read short at the given position.

### Method Detail

#### readBytePositioned

    byte readBytePositioned(int pos)

Read byte at the given position.

Parameters:
  `pos` - Position.
Returns:
  Value.

#### readShortPositioned

    short readShortPositioned(int pos)

Read short at the given position.

Parameters:
  `pos` - Position.
Returns:
  Value.

#### readIntPositioned

    int readIntPositioned(int pos)

Read integer at the given position.

Parameters:
  `pos` - Position.
Returns:
  Value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020